Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class IllegalAttributeAccess

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.tools.resources.IllegalAttributeAccess

All Implemented Interfaces:
  java.io.Serializable

public class IllegalAttributeAccess
extends java.lang.RuntimeException

The generic exception for illegal attribute access. Depending on this parameter this exception can indicate:

- That an attribute can't be set to a given value.
- That the attribute isn't defined for the given resource.

See Also:
  Serialized Form

Constructor Summary
`IllegalAttributeAccess(AttributeHolder holder, Attribute attr)` This attribute isn't defined by the given holder.
`IllegalAttributeAccess(AttributeHolder holder, Attribute attr, java.lang.Object value)` The proposed value for the attribute doesn't match the expected type.
`IllegalAttributeAccess(AttributeHolder holder, Attribute attr, java.lang.String accessor)` Invalid access to an attribute value.
`IllegalAttributeAccess(AttributeHolder holder, int idx)` This attribute index isn't valid for the given holder.
`IllegalAttributeAccess(AttributeHolder holder, java.lang.String name)` Invalid access to an attribute.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalAttributeAccess

    public IllegalAttributeAccess(AttributeHolder holder,
                                  Attribute attr)

  This attribute isn't defined by the given holder.

Parameters:
  `holder` - The holder that got the exception.
  `attr` - The unknown atribute.

### IllegalAttributeAccess

    public IllegalAttributeAccess(AttributeHolder holder,
                                  int idx)

  This attribute index isn't valid for the given holder.

Parameters:
  `holder` - The holder that got the exception.
  `idx` - The erred index.

### IllegalAttributeAccess

    public IllegalAttributeAccess(AttributeHolder holder,
                                  Attribute attr,
                                  java.lang.Object value)

  The proposed value for the attribute doesn't match the expected type.

Parameters:
  `holder` - The holder that got the exception.
  `value` - The erred value.

### IllegalAttributeAccess

    public IllegalAttributeAccess(AttributeHolder holder,
                                  Attribute attr,
                                  java.lang.String accessor)

  Invalid access to an attribute value. You used an invalid specific accessor to get the value of an attribute.

Parameters:
  `holder` - The holder that got the exception.
  `attr` - The attribute that was accessed.
  `accessor` - The name of the invalid accessor used.

### IllegalAttributeAccess

    public IllegalAttributeAccess(AttributeHolder holder,
                                  java.lang.String name)

  Invalid access to an attribute.

Parameters:
  `name` - The name of the attribute that wan't found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD